Argus Camera Sample Argus Camera Sample

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Member Functions | Private Member Functions | Private Attributes
ArgusSamples::TaskMultiSession Class Reference

This task creates one session for each available sensor. More...

`#include <MultiSession.h>`

Inheritance diagram for ArgusSamples::TaskMultiSession:

List of all members.

## Classes

class | Session
| For each device there is one session with a request. More...

## Public Member Functions

| TaskMultiSession ()
virtual | ~TaskMultiSession ()
ITask methods
virtual bool | initialize ()
| Initialize.
virtual bool | shutdown ()
| Shutdown.
virtual bool | start ()
| Start.
virtual bool | stop ()
| Stop.
Public Member Functions inherited from ArgusSamples::ITask
| ITask ()
virtual | ~ITask ()

## Private Member Functions

bool | shutdownSessions ()
bool | onSensorModeValidChanged (const Observed &source)
| Callback when the sensorModeValid is changed.
bool | restartStreams (const Observed &source)
| Restart when sensor mode or output size changes.

## Private Attributes

bool | m_initialized
| set if initialized
bool | m_running
| set if preview is running
bool | m_prevRunning
| set if was running before the sensorModeValid is set to false
std::list< Session * > | m_sessions

## Detailed Description

This task creates one session for each available sensor.

Definition at line 50 of file MultiSession.h.

## Constructor & Destructor Documentation

ArgusSamples::TaskMultiSession::TaskMultiSession | ( |  | ) |

Definition at line 41 of file MultiSession.cpp.

ArgusSamples::TaskMultiSession::~TaskMultiSession | ( |  | ) |

virtual

Definition at line 48 of file MultiSession.cpp.

## Member Function Documentation

bool ArgusSamples::TaskMultiSession::initialize | ( |  | ) |

virtual

Initialize.

Implements ArgusSamples::ITask.

Definition at line 173 of file MultiSession.cpp.

bool ArgusSamples::TaskMultiSession::onSensorModeValidChanged | ( | const Observed & | source | ) |

private

Callback when the sensorModeValid is changed.

Definition at line 281 of file MultiSession.cpp.

bool ArgusSamples::TaskMultiSession::restartStreams | ( | const Observed & | source | ) |

private

Restart when sensor mode or output size changes.

Definition at line 302 of file MultiSession.cpp.

bool ArgusSamples::TaskMultiSession::shutdown | ( |  | ) |

virtual

Shutdown.

Implements ArgusSamples::ITask.

Definition at line 188 of file MultiSession.cpp.

bool ArgusSamples::TaskMultiSession::shutdownSessions | ( |  | ) |

private

Definition at line 206 of file MultiSession.cpp.

bool ArgusSamples::TaskMultiSession::start | ( |  | ) |

virtual

Start.

Implements ArgusSamples::ITask.

Definition at line 223 of file MultiSession.cpp.

bool ArgusSamples::TaskMultiSession::stop | ( |  | ) |

virtual

Stop.

Implements ArgusSamples::ITask.

Definition at line 263 of file MultiSession.cpp.

## Member Data Documentation

bool ArgusSamples::TaskMultiSession::m_initialized

private

set if initialized

Definition at line 65 of file MultiSession.h.

bool ArgusSamples::TaskMultiSession::m_prevRunning

private

set if was running before the sensorModeValid is set to false

Definition at line 67 of file MultiSession.h.

bool ArgusSamples::TaskMultiSession::m_running

private

set if preview is running

Definition at line 66 of file MultiSession.h.

std::list<Session*> ArgusSamples::TaskMultiSession::m_sessions

private

Definition at line 91 of file MultiSession.h.

The documentation for this class was generated from the following files:

- modules/tasks/MultiSession.h
- modules/tasks/MultiSession.cpp